<header>
    <h2 class='contact'>Contact</h2>
    <a class="map-link" href="index.php" aria-label="Cliquer pour accéder à la carte des données" title="Cliquer pour accéder à la carte des données"></a>
</header>
<div class="container center">
    
    <?php if(isset($_GET['message']) && $_GET['message'] === 'ok'): ?>
    <div class="success" role="alert">
        <p>
            Votre message nous est bien parvenu, nous vous répondrons dans les plus brefs délais !
        </p>
    </div>
    <?php endif ?>
    
    <?php if (!empty($errors)) : ?>
    <div class="error" role="alert">
        <?php foreach ($errors as $error) : ?>
            <?php echo $error; ?><br>
        <?php endforeach; ?>
    </div>
    <?php endif; ?>
    
    <div class="flex">
        <h3>Contactez-nous</h3>
        <p>Des questions sur l'activité sismique alpine récente ? Une demande d'intervention scolaire ou autre ? Vous pouvez nous envoyer un email via le formulaire ci-dessous.</p>
    </div>
    
    <form class="flex" action="index.php?page=contact" method="POST">
         <div class="flex" >
            <label for="type_id">Qui êtes-vous ?</label>
            <select name='type_id' id="type_id" required>
                <option value="" disabled selected>--Sélectionner dans la liste--</option>
                    <?php
                    foreach($allContacts as $contact) { ?>
                        <option value="<?= htmlspecialchars($contact['id'], ENT_QUOTES) ?>" <?= isset($_POST['type_id']) && $_POST['type_id'] == $contact['id'] ? 'selected' : null ?>><?= htmlspecialchars($contact['type'], ENT_QUOTES); ?></option>
                    <?php  } ?>  
            </select>
        </div>

        <div class="flex" >
             <label for="email">Email</label>
             <input type="email" id="email" name="email" required value="<?= isset($_POST['email']) ? htmlspecialchars($_POST['email'], ENT_QUOTES) : null; ?>" placeholder="you@example.com" >
        </div>
        
        <div class="flex" >
            <label for="phone">Téléphone</label>
            <input type="text" id="phone" name="phone" required value="<?= isset($_POST['tel']) ? htmlspecialchars($_POST['phone'], ENT_QUOTES) : null; ?>">
        </div>
          
        <div class="flex" >
            <label for="message">Message</label><br>
            <textarea id="message" name="message" rows="4" required><?= isset($_POST['message']) ? htmlspecialchars($_POST['message'], ENT_QUOTES) : null; ?></textarea><br>
        </div>

        <div class="flex">
            <label for="validation_anonyme">Champ pour les robots. Si vous êtes humains, merci de le laisser vide.</label>
            <input type="text" id="validation_anonyme" name="validation_anonyme">
        </div>
        
        <div class="flex" >
            <div class="iconcaptcha-widget" data-theme="light"></div>
        </div>

        <div>
            <input type="hidden" name="token" value="<?= isset($_SESSION['token']) ? $_SESSION['token'] : null; ?>">
            <input class="btn" type="submit" value="Envoyer">
        </div>
    </form>
    
    <div class="flex">
        <q>Les informations recueillies font l’objet d’un traitement informatique destiné à gérer les prises de contact. Les destinataires des données sont les responsables de Sismalp. 
        Conformément à la loi « informatique et libertés » du 6 janvier 1978 modifiée en 2004, vous bénéficiez d’un droit d’accès et de rectification aux informations qui vous concernent, que vous pouvez exercer en vous adressant au service sismalp par mail à l’adresse <span><a href="mailto:sismalp@univ-grenoble-alpes.fr ">sismalp@univ-grenoble-alpes.fr </a></span> ou par voie postale au <span>Service Sismalp, Domaine Universitaire, bât OSUG-C, 1381 rue de la piscine, 38610 Gières</span>. Vous pouvez également, pour des motifs légitimes, vous opposer au traitement des données vous concernant.</q>
    </div>
</div>